import * as cdk from 'aws-cdk-lib';
import * as constructs from 'constructs';
/**
 * CRUD operations for New Relic AI Notifications Channels via the NerdGraph API
 *
 * @schema CfnAiNotificationsChannelProps
 */
export interface CfnAiNotificationsChannelProps {
    /**
     * @schema CfnAiNotificationsChannelProps#Channel
     */
    readonly channel: string;
    /**
     * @schema CfnAiNotificationsChannelProps#ListQueryFilter
     */
    readonly listQueryFilter?: string;
    /**
     * @schema CfnAiNotificationsChannelProps#ListQuerySorter
     */
    readonly listQuerySorter?: string;
    /**
     * @schema CfnAiNotificationsChannelProps#Variables
     */
    readonly variables?: any;
}
/**
 * Converts an object of type 'CfnAiNotificationsChannelProps' to JSON representation.
 */
export declare function toJson_CfnAiNotificationsChannelProps(obj: CfnAiNotificationsChannelProps | undefined): Record<string, any> | undefined;
/**
 * A CloudFormation `NewRelic::Observability::AINotificationsChannel`
 *
 * @cloudformationResource NewRelic::Observability::AINotificationsChannel
 * @stability external
 * @link https://github.com/newrelic/newrelic-cloudformation-resource-providers-ainotificationschannel.git
 */
export declare class CfnAiNotificationsChannel extends cdk.CfnResource {
    /**
    * The CloudFormation resource type name for this resource class.
    */
    static readonly CFN_RESOURCE_TYPE_NAME = "NewRelic::Observability::AINotificationsChannel";
    /**
     * Resource props.
     */
    readonly props: CfnAiNotificationsChannelProps;
    /**
     * Attribute `NewRelic::Observability::AINotificationsChannel.Id`
     * @link https://github.com/newrelic/newrelic-cloudformation-resource-providers-ainotificationschannel.git
     */
    readonly attrId: string;
    /**
     * Create a new `NewRelic::Observability::AINotificationsChannel`.
     *
     * @param scope - scope in which this resource is defined
     * @param id    - scoped id of the resource
     * @param props - resource properties
     */
    constructor(scope: constructs.Construct, id: string, props: CfnAiNotificationsChannelProps);
}
